package com.sundot.airport.web.controller.blocked;

import com.sundot.airport.blocked.dto.BlockedRateScreenBrigadeDto;
import com.sundot.airport.blocked.dto.BlockedRateScreenT1Dto;
import com.sundot.airport.blocked.dto.BlockedRateScreenT2Dto;
import com.sundot.airport.blocked.service.IBlockedRateScreenService;
import com.sundot.airport.common.core.controller.BaseController;
import com.sundot.airport.common.core.domain.AjaxResult;
import com.sundot.airport.common.core.domain.BlockedRateQueryParamDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 速率大屏Controller
 *
 * @author ruoyi
 * @date 2026-04-15
 */
@RestController
@RequestMapping("/blocked/rate/screen")
public class BlockedRateScreenController extends BaseController {

    @Autowired
    private IBlockedRateScreenService blockedRateScreenService;

    /**
     * T1速率统计数据
     */
    @GetMapping("/t1")
    public AjaxResult t1(BlockedRateQueryParamDto dto) {
        List<BlockedRateScreenT1Dto> result = blockedRateScreenService.t1(dto);
        return success(result);
    }

    /**
     * T2速率统计数据
     */
    @GetMapping("/t2")
    public AjaxResult t2(BlockedRateQueryParamDto dto) {
        List<BlockedRateScreenT2Dto> result = blockedRateScreenService.t2(dto);
        return success(result);
    }

    /**
     * 国内速率统计数据
     */
    @GetMapping("/domestic")
    public AjaxResult domestic(BlockedRateQueryParamDto dto) {
        List<BlockedRateScreenBrigadeDto> result = blockedRateScreenService.domestic(dto);
        return success(result);
    }

    /**
     * 国际速率统计数据
     */
    @GetMapping("/international")
    public AjaxResult international(BlockedRateQueryParamDto dto) {
        List<BlockedRateScreenBrigadeDto> result = blockedRateScreenService.international(dto);
        return success(result);
    }

}
